> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/d1-v1-api/manage-end-users-and-cards.md).

# Manage end users and cards

Use these D1 API endpoints to run **LCM** actions on End users, accounts, and cards.

{% hint style="info" %}
Since the May 2024 release, you can reuse a deleted `consumerId`, `accountId`, or `cardId`.
{% endhint %}

{% hint style="warning" %}
`account` is planned for deprecation in D1 API v1 in 2026.\
Confirm with the Thales delivery team before you build on Account endpoints.
{% endhint %}

## Run LCM actions

### End user

* [Delete Consumer](/d1-v1-api/d1-v1-api-references/consumer-operations/operations.md#post-issuers-issuerid-consumers-consumerid-operations-delete)

### Account

* [Delete Account](broken://pages/c22f57896ae746bb155654be3c09b794eb902448#post-issuers-issuerid-accounts-accountid-operations-delete)

### Card

* [Suspend Card](/d1-v1-api/d1-v1-api-references/card-operations/inbound/operations.md#post-issuers-issuerid-cards-cardid-operations-suspend)
* [Resume Card](/d1-v1-api/d1-v1-api-references/card-operations/inbound/operations.md#post-issuers-issuerid-cards-cardid-operations-resume)
* [Delete Card](/d1-v1-api/d1-v1-api-references/card-operations/inbound/operations.md#post-issuers-issuerid-cards-cardid-operations-delete)
* [Renew Card](/d1-v1-api/d1-v1-api-references/card-operations/inbound/operations.md#post-issuers-issuerid-cards-cardid-operations-renew)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payments.thalescloud.io/d1-v1-api/manage-end-users-and-cards.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
